Flash28335_API_V210.lib linking error

Hello,
I use a 28335 on my own board and my project compiled well with rts2800_ml.lib. But when I want to add Flash28335_API_V210.lib to my project as described in sprc539.zip, I had this error message:
<Linking>
fatal error: file "Flash28335_API_V210.lib<Flash28_Erase.obj>"
   specifies ISA revision "C28FPU32", which is not compatible with ISA revision
   "C2800" specified in a previous file or on the command line

Anyone have an idea what does it mean and how to fix it ?

Thanks
BUI

  • I wonder if you should be using the fts2800_fpu32.lib instead.  The one indicated is a flixed point Run Time Support.

    Secondly, I presume your CCS Project Build options is specifying the C2800 architecture, which again is fixed point.  The floating point architecture would be enabled by the --float_support=fpu32 Build Option.

    Section 8 of the Flash2833x_API_Readme.pdf indicates the F2833x Flash APIs have been compiled using the "--float_support=fpu32" floating point option.  Only object files compiled as such can be linked to the APIs.

  • In reply to BrandonAzbell:

    Hi Brandon,

    You are right, thank you for your help. I am working for a target product with 28234 in mind so I use rts2800_ml.lib. But for a suppling reason, my prototype board was assembled with a 28335.

    The Flash28335_API_V210.lib is designed to use with 28335 so it is compiled with rts2800_fpu32.lib, that makes sense.

    Thank again

    BUI